Subject: Re: [Plus] Status of PLUS

From: Lin Han <[email-masked]>
Date: Mon, 6 Mar 2017 01:45:17 +0000

Hi, Spencer, Brain

Thanks for your reply

We think that the current transport layer lacks a simple way to provide more fine granularity control to the quality of service, such as the bandwidth and latency. For this requirement, the current scheme using DSCP or ECN is far from enough. And using a separate protocol such as RSVP is not scalable and convenient. If the transport itself has a intrinsic signaling capability to the network device, it will make such feature controllable by user or application directly. And importantly, a QoS service with user control is the requirement of compliance to the network neutrality.

We have analyzed the AR&VR requirements, it turns out that TCP/UDP hardly provide a support of couple of hundred Mbps to Gbps bandwidth plus the single digit ms latency if we still use the fair queuing based algorithm in the forwarding. To overcome such difficulty, we need to provide extra information to network hardware for different queuing algorithm.

I have asked QUIC to add more extension room to support network device signaling, but rejected due to its current chartering scope. So, I think PLUS could potentially do such job if we have more support from industry.

Regards

Lin

From: Plus [mailto:[email-masked]] On Behalf Of Spencer Dawkins at IETF
Sent: Tuesday, February 28, 2017 3:26 PM
To: Brian Trammell
Cc: [email-masked]
Subject: Re: [Plus] Status of PLUS

On Feb 28, 2017 16:56, "Brian Trammell" <[email-masked]<mailto:[email-masked]>> wrote:
Hi, Lin, all,

Circling back on these points...

> On 14 Feb 2017, at 22:38, Lin Han <[email-masked]<mailto:[email-masked]>> wrote:
>
> Hello, all
>
> Just signed up this list, I knew PLUS has been concluded unfortunately.

In the sense that the BoF failed to come to consensus that a working group could be formed with the presented scope, due to questions about the privacy risk / utility tradeoff of a generalized solution to the problem of replacing implicit interference by path elements with explicit communication, yes... I would not yet say we've come to a "conclusion" yet, though.

It's worth saying that I agree with Brian's summary.

Spencer, as responsible AD for PLUS